## python-os-vif 1.2.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.config>=3.14.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.privsep>=1.9.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0

## python-os-vif 1.2.0

=== debian/changelog ===
python-os-vif (1.2.0-2+3~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 07 Oct 2016 01:09:27 +0000

python-os-vif (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Oct 2016 02:40:45 +0200

python-os-vif (1.2.0-1) experimental; urgency=medium

  * Initial release. (Closes: #834456)

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Wed, 31 Aug 2016 08:15:20 +0100

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ivan Udovichenko <iudovichenko@mirantis.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-hacking (>= 0.10.2),
                     python-netaddr (>= 0.7.12),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-reno,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-coverage (>= 3.6),
                     python3-hacking (>= 0.10.2),
                     python3-netaddr (>= 0.7.12),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.privsep (>= 1.9.0),
                     python3-oslo.versionedobjects (>= 1.13.0),
                     python3-oslosphinx (>= 2.5.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit (>= 0.0.18),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-os-vif?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-os-vif -b debian/newton
Homepage: https://github.com/openstack/os-vif

Package: python-os-vif
Architecture: all
Depends: python-netaddr (>= 0.7.12),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-os-vif-doc,
Description: Integration library between network and compute - Python 2.7
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python3-os-vif
Architecture: all
Depends: python3-netaddr (>= 0.7.12),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.privsep (>= 1.9.0),
         python3-oslo.versionedobjects (>= 1.13.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

## python-os-vif 1.2.1

=== debian/changelog ===
python-os-vif (1.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Oct 2016 12:53:09 +0000

python-os-vif (1.2.1-1) experimental; urgency=medium

  * New upstream release (LP: #1621651).

 -- James Page <james.page@ubuntu.com>  Fri, 09 Sep 2016 08:10:28 +0100

=== debian/control ===
--- 
+++ 
@@ -49,8 +49,8 @@
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-os-vif?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-os-vif -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-os-vif.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-os-vif.git
 Homepage: https://github.com/openstack/os-vif
 
 Package: python-os-vif

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-vif.git
-include /usr/share/openstack-pkg-tools/pkgos.make


%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-os-vif; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-os-vif; \
	done
	rm -rf $(CURDIR)/debian/python*-os-vif/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/python-os-vif-doc/usr/share/doc/python-os-vif-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Skip commands
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/os-vif/tags .*/(\d[\d\.]+)\.tar\.gz

## python-os-vif 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.privsep>=1.9.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0

=== debian/changelog ===
python-os-vif (1.4.0-0ubuntu2~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 12 Jan 2017 14:55:33 +0000

python-os-vif (1.4.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Remove python-reno 
  * debian/patches/no-renos.patch: Do not try to regenerate release notes.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jan 2017 09:01:44 -0500

python-os-vif (1.4.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Jan 2017 08:57:30 -0500

python-os-vif (1.3.0-1ubuntu2) zesty; urgency=medium

  * debian/tests: Add autopkgtest 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Nov 2016 10:37:28 -0400

python-os-vif (1.3.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump version dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 01 Nov 2016 14:04:59 -0400

python-os-vif (1.2.1-0ubuntu1) yakkety; urgency=medium

  * New upstream release (LP: #1621651).

 -- James Page <james.page@ubuntu.com>  Fri, 09 Sep 2016 08:10:28 +0100

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-hacking (>= 0.10.2),
                     python-netaddr (>= 0.7.13),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-coverage (>= 4.0),
                     python3-hacking (>= 0.10.2),
                     python3-netaddr (>= 0.7.13),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.11.0),
                     python3-oslo.privsep (>= 1.9.0),
                     python3-oslo.versionedobjects (>= 1.13.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit (>= 0.0.18),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
Homepage: https://github.com/openstack/os-vif
XS-Testsuite: autopkgtest

Package: python-os-vif
Architecture: all
Depends: python-netaddr (>= 0.7.13),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-os-vif-doc,
Description: Integration library between network and compute - Python 2.7
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python3-os-vif
Architecture: all
Depends: python3-netaddr (>= 0.7.13),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.privsep (>= 1.9.0),
         python3-oslo.versionedobjects (>= 1.13.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

## python-os-vif 1.4.1

=== debian/changelog ===
python-os-vif (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- David Homolka <david.homolka@ultimum.io>  Tue, 15 Aug 2017 13:20:00 +0200

python-os-vif (1.2.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:08:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-os-vif
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Ivan Udovichenko <iudovichenko@mirantis.com>,
-Build-Depends: debhelper (>= 9),
+           Thomas Goirand <zigo@debian.org>,
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -25,7 +25,7 @@
                      python-oslo.privsep (>= 1.9.0),
                      python-oslo.versionedobjects (>= 1.13.0),
                      python-oslosphinx (>= 4.7.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-six (>= 1.9.0),
                      python-stevedore (>= 1.17.1),
                      python-testscenarios (>= 0.4),
@@ -40,7 +40,7 @@
                      python3-oslo.privsep (>= 1.9.0),
                      python3-oslo.versionedobjects (>= 1.13.0),
                      python3-oslosphinx (>= 4.7.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-six (>= 1.9.0),
                      python3-stevedore (>= 1.17.1),
                      python3-subunit (>= 0.0.18),
@@ -48,12 +48,11 @@
                      python3-testscenarios (>= 0.4),
                      python3-testtools (>= 1.4.0),
                      subunit (>= 0.0.18),
-                     testrepository (>= 0.0.18)
+                     testrepository (>= 0.0.18),
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
+Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-os-vif.git/?h=debian%2Focata
+Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-os-vif.git -b debian/ocata
 Homepage: https://github.com/openstack/os-vif
-XS-Testsuite: autopkgtest
 
 Package: python-os-vif
 Architecture: all
@@ -67,7 +66,7 @@
          python-six (>= 1.9.0),
          python-stevedore (>= 1.17.1),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Suggests: python-os-vif-doc,
 Description: Integration library between network and compute - Python 2.7
  A library for plugging and unplugging virtual interfaces in OpenStack.
@@ -86,7 +85,7 @@
          python3-six (>= 1.9.0),
          python3-stevedore (>= 1.17.1),
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
 Suggests: python-os-vif-doc,
 Description: Integration library between network and compute - Python 3.x
  A library for plugging and unplugging virtual interfaces in OpenStack.
@@ -96,7 +95,8 @@
 Package: python-os-vif-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: Integration library between network and compute - doc
  A library for plugging and unplugging virtual interfaces in OpenStack.
  .

## python-os-vif 1.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.privsep!=1.17.0,>=1.9.0 # Apache-2.0
oslo.versionedobjects>=1.17.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-os-vif (1.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/no-reno.patch: Rebased.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Aug 2017 10:47:44 -0400

python-os-vif (1.6.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/no-reno.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 16:19:28 -0400

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-hacking (>= 0.10.2),
                     python-netaddr (>= 0.7.13),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-coverage (>= 4.0),
                     python3-hacking (>= 0.10.2),
                     python3-netaddr (>= 0.7.13),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.22.0),
                     python3-oslo.privsep (>= 1.9.0),
                     python3-oslo.versionedobjects (>= 1.17.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit (>= 0.0.18),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
Homepage: https://github.com/openstack/os-vif
XS-Testsuite: autopkgtest

Package: python-os-vif
Architecture: all
Depends: python-netaddr (>= 0.7.13),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-os-vif-doc,
Description: Integration library between network and compute - Python 2.7
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python3-os-vif
Architecture: all
Depends: python3-netaddr (>= 0.7.13),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.22.0),
         python3-oslo.privsep (>= 1.9.0),
         python3-oslo.versionedobjects (>= 1.17.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

## python-os-vif 1.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.versionedobjects>=1.28.0 # Apache-2.0
pyroute2>=0.4.21;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-os-vif (1.9.0-0ubuntu1) bionic; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer needed.
  * d/control,rules: Switch to using stestr for unit test exec.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Feb 2018 14:05:42 +0000

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-hacking (>= 0.10.2),
 python-netaddr (>= 0.7.18),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.privsep (>= 1.9.0),
 python-oslo.versionedobjects (>= 1.17.0),
 python-oslotest (>= 1.10.0),
 python-pyroute2 (>= 0.4.21),
 python-six (>= 1.10.0),
 python-stevedore (>= 1.20.0),
 python-stestr (>= 1.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-coverage (>= 4.0),
 python3-hacking (>= 0.10.2),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.privsep (>= 1.9.0),
 python3-oslo.versionedobjects (>= 1.17.0),
 python3-oslotest (>= 1.10.0),
 python3-pyroute2 (>= 0.4.21),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1.20.0),
 python3-stestr (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
Homepage: https://github.com/openstack/os-vif
XS-Testsuite: autopkgtest

Package: python-os-vif
Architecture: all
Depends:
 python-netaddr (>= 0.7.18),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.privsep (>= 1.9.0),
 python-oslo.versionedobjects (>= 1.17.0),
 python-pyroute2 (>= 0.4.21),
 python-six (>= 1.10.0),
 python-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 2.7
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

Package: python3-os-vif
Architecture: all
Depends:
 python3-netaddr (>= 0.7.18),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.privsep (>= 1.9.0),
 python3-oslo.versionedobjects (>= 1.17.0),
 python3-pyroute2 (>= 0.4.21),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -24,21 +24,15 @@
 	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
+		OS_TEST_PATH=$(CURDIR)/os_vif/tests PYTHONPATH=$(CURDIR) PYTHON=python$$i \
+			python$$PYMAJOR-stestr run --black-regex ".tests.functional" ;\
 	done
 endif
 
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	python setup.py build_sphinx
-	cp -rf doc/build/html $(CURDIR)/debian/python-os-vif-doc/usr/share/doc/python-os-vif-doc
+	PYTHONPATH=. sphinx-build -b html doc/source debian/python-os-vif-doc/usr/share/doc/python-os-vif-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

=== debian/tests/control ===
Tests: os-vif
Depends: python-os-vif

## python-os-vif 1.11.1

=== debian/changelog ===
python-os-vif (1.11.1-1) unstable; urgency=medium

  * New upstream point release (Closes: #922672).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Feb 2019 17:12:53 +0100

python-os-vif (1.11.0-3) unstable; urgency=medium

  * Uploading to unstable:
    - Fixes FTBFS (Closes: #906404).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 09:22:24 +0200

python-os-vif (1.11.0-2) experimental; urgency=medium

  * Fix python-sphinx -> python3-sphinx b-d.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 17:47:37 +0200

python-os-vif (1.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Build the doc with Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 17:15:15 +0200

python-os-vif (1.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:34 +0000

python-os-vif (1.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Run only unit tests, not functional.
  * Do not test with py3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 09:25:18 +0000

python-os-vif (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 01:15:30 +0000

python-os-vif (1.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.
  * Calling sphinx-build directly.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2017 23:53:47 +0200

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.0),
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage,
 python-hacking,
 python-netaddr,
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.versionedobjects (>= 1.28.0),
 python-oslotest (>= 1:1.10.0) <!nocheck>,
 python-pyroute2 (>= 0.4.21),
 python-reno,
 python-six,
 python-stestr <!nocheck>,
 python-stevedore (>= 1.20.0),
 python-testscenarios (>= 0.4) <!nocheck>,
 python-testtools (>= 2.2.0) <!nocheck>,
 python3-netaddr,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0) <!nocheck>,
 python3-pyroute2 (>= 0.4.21),
 python3-reno,
 python3-six,
 python3-stestr <!nocheck>,
 python3-stevedore (>= 1.20.0),
 python3-testscenarios (>= 0.4) <!nocheck>,
 python3-testtools (>= 2.2.0) <!nocheck>,
 subunit <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-vif
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-vif.git
Homepage: https://github.com/openstack/os-vif

Package: python-os-vif
Architecture: all
Depends:
 python-netaddr,
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.versionedobjects (>= 1.28.0),
 python-pbr (>= 2.0.0),
 python-pyroute2 (>= 0.4.21),
 python-six,
 python-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 2.7
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

Package: python3-os-vif
Architecture: all
Depends:
 python3-netaddr,
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-pbr (>= 2.0.0),
 python3-pyroute2 (>= 0.4.21),
 python3-six,
 python3-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-vif.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py3 'os_vif\.tests\.unit.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-vif-doc/usr/share/doc/python-os-vif-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-os-vif 1.15.1

=== doc/requirements.txt ===
sphinx>=1.6.5,!=1.6.6,!=1.6.7 #BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-os-vif (1.15.1-0ubuntu1~cloud2) bionic-stein; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/p/lp-1837252.patch: Cherry pick upstream fix (LP: #1837252).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 04 Jan 2021 15:11:43 +0000

python-os-vif (1.15.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 22 Mar 2019 15:41:23 +0000

python-os-vif (1.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 14:10:04 +0000

python-os-vif (1.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 13:37:09 -0500

python-os-vif (1.11.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 12:17:58 -0400

python-os-vif (1.10.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 12:16:03 -0400

=== debian/control ===
Source: python-os-vif
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.19.0),
 python-hacking (>= 1.1.0),
 python-netaddr (>= 0.7.18),
 python-openvswitch (>= 2.9.2),
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.versionedobjects (>= 1.28.0),
 python-oslotest (>= 1:1.10.0),
 python-ovsdbapp (>= 0.12.1),
 python-pyroute2 (>= 0.5.2),
 python-six (>= 1.10.0),
 python-stestr (>= 1.0.0),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.19.0),
 python3-hacking (>= 1.1.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openvswitch (>= 2.9.2),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-ovsdbapp (>= 0.12.1),
 python3-pyroute2 (>= 0.5.2),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-vif
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-vif
Homepage: https://github.com/openstack/os-vif
Testsuite: autopkgtest-pkg-python

Package: python-os-vif
Architecture: all
Depends:
 python-debtcollector (>= 1.19.0),
 python-netaddr (>= 0.7.18),
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.versionedobjects (>= 1.28.0),
 python-ovsdbapp (>= 0.12.1),
 python-pbr (>= 2.0.0),
 python-pyroute2 (>= 0.5.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 2.7
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python-os-vif-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Integration library between network and compute - doc
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the documentation.

Package: python3-os-vif
Architecture: all
Depends:
 python3-debtcollector (>= 1.19.0),
 python3-netaddr (>= 0.7.18),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-ovsdbapp (>= 0.12.1),
 python3-pbr (>= 2.0.0),
 python3-pyroute2 (>= 0.5.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-vif-doc,
Description: Integration library between network and compute - Python 3.x
 A library for plugging and unplugging virtual interfaces in OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,20 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-vif-doc/usr/share/doc/python-os-vif-doc/html
+	sphinx-build -b html doc/source debian/python-os-vif-doc/usr/share/doc/python-os-vif-doc/html
 	dh_sphinxdoc
 endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
+
+# Skip commands
+override_dh_installcatalogs:
+override_dh_installemacsen override_dh_installifupdown:
+override_dh_installinfo override_dh_installmenu override_dh_installmime:
+override_dh_installmodules override_dh_installlogcheck:
+override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
+override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
+override_dh_installcron override_dh_installdebconf:
+override_dh_installlogrotate override_dh_installgsettings:

## python-os-vif 1.17.0

=== debian/changelog ===
python-os-vif (1.17.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 00:45:08 +0000

python-os-vif (1.17.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:18:48 -0400

python-os-vif (1.15.1-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-os-vif binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 12:02:46 +0200

=== debian/control ===
--- 
+++ 
@@ -18,32 +18,11 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
- python-coverage (>= 4.0),
- python-debtcollector (>= 1.19.0),
- python-hacking (>= 1.1.0),
- python-netaddr (>= 0.7.18),
- python-openvswitch (>= 2.9.2),
- python-oslo.concurrency (>= 3.20.0),
- python-oslo.config (>= 1:5.1.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.30.0),
- python-oslo.privsep (>= 1.23.0),
- python-oslo.versionedobjects (>= 1.28.0),
- python-oslotest (>= 1:1.10.0),
- python-ovsdbapp (>= 0.12.1),
- python-pyroute2 (>= 0.5.2),
- python-six (>= 1.10.0),
- python-stestr (>= 1.0.0),
- python-stevedore (>= 1:1.20.0),
- python-subunit (>= 1.0.0),
- python-testrepository (>= 0.0.18),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
  python3-coverage (>= 4.0),
  python3-debtcollector (>= 1.19.0),
  python3-hacking (>= 1.1.0),
  python3-netaddr (>= 0.7.18),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-openvswitch (>= 2.9.2),
  python3-oslo.concurrency (>= 3.20.0),
  python3-oslo.config (>= 1:5.1.0),
@@ -63,38 +42,11 @@
  python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- subunit,
- testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-vif
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-vif
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-vif
 Homepage: https://github.com/openstack/os-vif
 Testsuite: autopkgtest-pkg-python
-
-Package: python-os-vif
-Architecture: all
-Depends:
- python-debtcollector (>= 1.19.0),
- python-netaddr (>= 0.7.18),
- python-oslo.concurrency (>= 3.20.0),
- python-oslo.config (>= 1:5.1.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.30.0),
- python-oslo.privsep (>= 1.23.0),
- python-oslo.versionedobjects (>= 1.28.0),
- python-ovsdbapp (>= 0.12.1),
- python-pbr (>= 2.0.0),
- python-pyroute2 (>= 0.5.2),
- python-six (>= 1.10.0),
- python-stevedore (>= 1:1.20.0),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-os-vif-doc,
-Description: Integration library between network and compute - Python 2.7
- A library for plugging and unplugging virtual interfaces in OpenStack.
- .
- This package contains the Python 2.7 module.
 
 Package: python-os-vif-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,14 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py3 'os_vif\.tests\.unit.*'
+	pkgos-dh_auto_test --no-py2 --no-py3 'os_vif\.tests\.unit.*'
 endif
 
 override_dh_sphinxdoc:
